Announcement

Collapse
No announcement yet.

I upgraded to 3.5.4 today and I have some problems

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • I upgraded to 3.5.4 today and I have some problems

    I don't know if this belongs here or in troubleshooting but here's the story.

    I was running 3.5.3 before

    I downloaded the files from the members area. I deleted the install file as per the instructions. I uploaded and had it overwrite the old files. I ran the upgrade script. I checked for updated templates and there were none according to what it said.

    When I got into my adminCP after, it still said I was running 3.5.3 and
    I should upgrade. I have been getting an error when a forum is clicked on.

    PHP Code:
    Database error in vBulletin 3.5.3:

    Invalid SQL:

            
    SELECT 
                
    IF(votenum >= 1votenum0) AS votenum,
                IF(
    votenum >= AND votenum 0votetotal votenum0) AS voteavg,
             
    post.pagetext AS preview,
                
    thread.threadidthread.title AS threadtitlethread.forumidpollidopenreplycountpostusernamepostuseridthread.iconid AS threadiconid,
                
    thread.lastpostlastposterthread.dateline, IF(views<=replycountreplycount+1views) AS viewsnotesthread.visiblestickyvotetotalthread.attach,
                
    hiddencount
                
    NOT ISNULL(subscribethread.subscribethreadid) AS issubscribed
                
    deletionlog.userid AS del_useriddeletionlog.username AS del_usernamedeletionlog.reason AS del_reason
                
            FROM ninercap_thread 
    AS thread
                LEFT JOIN ninercap_deletionlog 
    AS deletionlog ON(thread.threadid deletionlog.primaryid AND type 'thread')
                 
    LEFT JOIN ninercap_subscribethread AS subscribethread ON(subscribethread.threadid thread.threadid AND subscribethread.userid AND canview 1)
                
                
    LEFT JOIN ninercap_post AS post ON(post.postid thread.firstpostid)
                
                
            
    WHERE thread.threadid IN (0,1422,1402,1400,1274,1291,1294,1241,1265,131,1222,1196,1180,1169,1142,1124,1102,1096,978,1018,1017,1016,1015,1014,1013,864,977,976,975,953,928,921,892,889,877,874,848,794,837,838,832,803,827,812,810,769,776,768,735,736,727,307,705,81
            
    ORDER BY sticky DESCthread.lastpost DESC;

    MySQL Error  Unknown column 'canview' in 'on clause'
    Error Number 1054
    Date         
    MondayMay 8th 2006 05:01:32 PM
    Script       
    http://forum.ninercaphell.com/forumdisplay.php?f=3
    Referrer     http://forum.ninercaphell.com/index.php
    IP Address   68.166.37.253
    Username     
    The Reverend
    Classname    
    vb_database 
    Help, I ahve no idea what to do. Did I run the upgrade script wrong?

  • #2
    Yes, you either did not upload all the files and/or you did not run upgrade.php to it's conclusion.
    Steve Machol, former vBulletin Customer Support Manager (and NOT retired!)
    Change CKEditor Colors to Match Style (for 4.1.4 and above)

    Steve Machol Photography


    Mankind is the only creature smart enough to know its own history, and dumb enough to ignore it.


    Comment


    • #3
      I got same problem because i had not run the upgrade.php in right manner.
      My Site Address :- http://www.NutraForum.com

      Only Serious Members Are Needed

      Comment


      • #4
        I reupped the files four times, and it worked this time.

        Comment

        widgetinstance 262 (Related Topics) skipped due to lack of content & hide_module_if_empty option.
        Working...
        X